1. Shipments
OrderMesh
  • Introduction to our API
    • Getting Started
    • Product Catalog
    • Webhooks Overview
    • Merchant Notifications Guide
  • User
    • Client
      • Generate Service Client Access Token
    • User
      • Login User by Username and Password
      • Login User with Refresh Token
  • Order
    • OrderItems
      • Search for order items based on various criteria and filters
    • Orders
      • Create a New Order.
      • Search for orders based on various criteria and filters.
      • Create multiple orders
      • Retrieve multiple orders
      • Update multiple orders
      • Retrieve a list of orders
      • Retrieve an order by Order ID.
      • Update order data.
      • Retrieve an order by Safe ID
      • Retrieve order item by Order Item ID
      • Update an item within an order.
      • Cancel Order or order items
      • Change the order status to Customer Care Hold
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order item.
      • Add a Refund Request.
  • Note
    • Notes
      • Create a New Note
      • Search All Notes
      • View Note by ID
      • Update Note
      • Delete Note
      • View Note Audit Logs
  • Catalog
    • Categories
      • View all product categories
      • Create a new category
      • Update category
      • Delete category
      • Get audit logs of a category
    • MerchantCatalog
      • Create a merchant catalog
      • Update a merchant catalog
      • Partially update a merchant catalog
      • Get a list of merchant catalogs
      • Delete a merchant catalog
      • Get a merchant catalog and search variants in it
      • Get a merchant catalog with variants
      • Get a list of variants the merchant can use in accordance with their enabled catalog
      • Search for variants in enabled merchant catalog with fallback to global catalog
      • Get audit logs of a merchant catalog
    • Products
      • View all products
      • Retrieve product variant details
      • Create a new product
      • Search products
      • Bulk create products
      • Bulk update products
      • Update product
      • Delete product
      • Update variant
      • Get audit logs of a product
    • Variants
      • Delete variant
      • Create a variant
      • Search product variants
      • Get audit logs of a variant
    • MerchantVariants
      • Add new variants to a merchant catalog
      • Update a merchant catalog variants
      • Update a merchant catalog by removing variants
  • Shipment
    • Packing Slip
      • Generates a packing slip for a specific shipment by Shipment ID.
    • Shipments
      • Get details of a specific shipment by Shipment ID.
        GET
      • Update details of a specific shipment by Shipment ID.
        PATCH
      • Create packages for a specific shipment.
        POST
      • Delete shipment with packages.
        DELETE
      • Get all shipments for an order by Order ID.
        GET
      • Create shipment for order, vendor, and order items.
        POST
      • Get shipment with packages for order and vendor.
        GET
      • Get shipment details by Order Item ID.
        GET
      • Update a specific shipment package.
        PATCH
      • Delete a specific shipment package.
        DELETE
      • Cancel shipment.
        PATCH
      • Unassign items to shipment.
        POST
      • Shipment resubmission to assigned facility.
        POST
      • Retry outbound polling for a shipment by publishing an OutboundShipmentUpdate event.
        POST
      • Search shipments.
        GET
      • Reroute shipment.
        POST
      • Rejects a shipment.
        POST
      • Bulk reroute shipments.
        POST
      • Get shipment audit logs.
        GET
      • Get package audit logs.
        GET
      • Get message audit logs for shipment updates.
        GET
      • Assign Shipment.
        POST
  1. Shipments

Create shipment for order, vendor, and order items.

POST
/v1/order/{orderId}
Vendor Access: Forbidden — This endpoint is not accessible to vendor users.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Path Params

Body Params
application/json

Examples

Responses

🟢201
application/json
Returns the created shipment with the provided shipment id.
Body

🟠400
🟠401
🟠403
🟠409
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.ordermesh.io/shipment/v1/order/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "merchantId": "1",
    "merchantName": null,
    "vendorId": "2",
    "facilityId": "3",
    "facilityName": "Facility test",
    "shippingGroupId": null,
    "shippingGroupName": null,
    "vendorName": "Vendor test",
    "customerId": "4",
    "customerShippingAddressId": 5,
    "merchantPaymentId": "6",
    "shippingCountryCode": "US",
    "shippingCountryCodeISO": 236,
    "shipmentStatus": 1,
    "shippingMethod": null,
    "isPollingStopped": false,
    "orderExternalId": "1",
    "merchantOrderId": null,
    "safeId": "2",
    "currencyCodeISO": 148,
    "currencyCode": "USD",
    "languageCodeISO": 40,
    "languageCode": "US",
    "transactionalCostModel": "transactional",
    "orderCreatedDate": "2022-04-02T12:00:00",
    "merchantOrderTotal": 123,
    "merchantPackageTotal": 22,
    "merchantTaxTotal": 55,
    "merchantShippingTotal": 33,
    "packageTotal": 321,
    "taxTotal": 55,
    "shippingTotal": 12,
    "total": 32,
    "costTotal": 43,
    "costTaxTotal": 77,
    "costShippingTotal": 42,
    "costShippingTaxTotal": 93,
    "orderItemIds": [
        "a1f0a9cc-f66c-447f-b770-9b4884e9f02d"
    ],
    "orderItems": [
        {
            "id": "a1f0a9cc-f66c-447f-b770-9b4884e9f02d",
            "sku": "Sku-test",
            "vendorSku": "VendorSku-test",
            "variantId": "1",
            "vendorProductId": "1",
            "quantity": 1,
            "merchantPrice": {
                "currency": "USD",
                "amount": 10,
                "tax": 5
            },
            "price": {
                "currency": "USD",
                "amount": 10,
                "tax": 5
            },
            "shortId": "I21832079",
            "status": 1,
            "images": [
                {
                    "area": "Front",
                    "ourUrl": "https://files.example.com/image.png",
                    "ourFileId": "01KFNYM7GYPKTJ6ADP6WSMMH90",
                    "ourThumbnailUrl": null,
                    "ourThumbnailFileId": null,
                    "vendorReadyFileId": "01KCS3G3ZYMVW76YWTWCCH7GT6"
                }
            ],
            "isSample": false,
            "shippingGroupId": null
        }
    ],
    "shippingAddress": {
        "firstName": "John",
        "lastName": "Doe",
        "line1": "123 Main St",
        "line2": "Suite 100",
        "city": "New York",
        "state": "NY",
        "zip": "10001",
        "countryCode": "US",
        "phone": "555-123-4567",
        "email": "john@example.com"
    },
    "orderShortId": "O20051638",
    "reprint": {
        "originalOrderId": "698ce35e531578b54a3a09ee",
        "reasonId": "fcb29be3-64b8-41b0-a0ab-c7a39bb38d0e"
    }
}'
Response Response Example
201 - Success
{
    "shipmentId": "c8f51b34-3c03-417c-b3ff-1e49a159e851"
}
Modified at 2026-09-10 16:13:11
Previous
Get all shipments for an order by Order ID.
Next
Get shipment with packages for order and vendor.
Built with